TakenAt: 2012-09-10T01:15:45Z
TakenSrc: meta
UID: prjwuh02suw0rmlb
Type: image
Title: Naomi Watts / Ewan McGregor / The Impossible / TIFF
PlaceSrc: estimate
Altitude: 30
Year: 2012
Month: 9
Day: 10
ISO: 800
Exposure: 1/160
FNumber: 4
FocalLength: 90
Quality: 3
Faces: 1
CameraSerial: "2581203848"
Details:
  Keywords: ewan, gold, impossible, mcgregor, naomi, portrait, toronto, watts
  Software: Adobe Photoshop CS6 (Macintosh)
  SoftwareSrc: meta
CreatedAt: 2022-10-17T18:39:00.045002443Z
UpdatedAt: 2022-10-17T18:39:00.047902454Z
